| Cabal-1.6.0.3: A framework for packaging Haskell software | Source code | Contents | Index

Distribution.Simple.PreProcess.Unlit

Portability | portable
Maintainer | cabal-devel@haskell.org

Description
Remove the "literal" markups from a Haskell source file, including "`>`", "`\begin{code}`", "`\end{code}`", and "`#`"
Synopsis

unlit :: FilePath -> String -> Either String String
plain :: String -> String -> String

Documentation

unlit :: FilePath -> String -> Either String String | Source

`unlit` takes a filename (for error reports), and transforms the given string, to eliminate the literate comments from the program text.

plain :: String -> String -> String | Source

No unliteration.
Produced by Haddock version 2.4.2